Query fulfillment and delivery logistics events
GET https://{handle}.myshopline.com/admin/openapi/v20261201/fulfillments/:order_id/:fulfillment_id/events/search.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- fulfillment_id string requiredInvoice idExample:
22060720884441337538627925 - order_id string requiredOrder idExample:
21056024607602932623437925
Query Parameters
- event_id stringEvent idExample:
4206234611998187371524
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
fulfillment_eventsobject[]
Event listcountry stringCountryExample:Canadaupdate_at stringUpdate time ( format see ISO 8601 )Example:2021-08-16T08:27:57+00:00latitude stringLatitudeExample:23.32947province stringProvinceExample:Ontariozip stringPostal codeExample:A1B 2C3city stringCityExample:Ottawaaddress stringAddressExample:126 York Streetshop_id stringstore IDExample:1232244status stringStatus ,Includes : label_printed、label_purchased、attempted_delivery、ready_for_pickup、picked_up、confirmed、in_transit、out_for_delivery、delivered、failureExample:label_printedorder_id stringOrder idExample:21056024607602932623437925message stringNotesExample:nothingid stringEvent idExample:4206234611998187371524fulfillment_id stringfulfillment idExample:22060720884441337538627925longitude stringLongitudeExample:113.301255create_at stringCreate time ( format see ISO 8601 )Example:2021-08-16T08:27:57+00:00estimated_delivery_at stringEstimated delivery time ( format see ISO 8601 )Example:2021-08-16T08:27:57+00:00happened_at stringEvent duration ( format see ISO 8601 )Example:2021-08-16T08:27:57+00:00
API Explorer
Debugger
Was this article helpful to you?